Subject: Rebasing published branches?

From: Josef Wolf <[email-masked]>
Date: Tue, 6 Nov 2012 21:18:22 +0100

Hello,

I know, I should never rebase published branches. But...

I frequently work on different computers and would like to share my private
branches across them. When done and the feature is in a good shape, I'd like
to rebase to clean up history before I make it available to other people.

I guess rebasing such branches would be OK as long as I can reliably remember
to delete those branches on _all_ the clones I ever created.

But waht if I ever make a mistake? How would one recover from such rebase
disasters? Anybody knows a good description how such a recover would be done?